Package org.eclipse.m2m.atl.emftvm.trace

## Interface TracePackage

All Superinterfaces:
  `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `TracePackageImpl`

    public interface TracePackage
    extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `TraceFactory`

### Nested Class Summary

Nested Classes
`static interface` `TracePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Field Summary

Fields
`static TracePackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `JAVA_LIST` The meta object id for the 'Java List' data type.
`static int` `SOURCE_ELEMENT` The meta object id for the '`Source Element`' class.
`static int` `SOURCE_ELEMENT__DEFAULT_FOR` The feature id for the 'Default For' reference.
`static int` `SOURCE_ELEMENT__MAPS_TO` The feature id for the 'Maps To' reference list.
`static int` `SOURCE_ELEMENT__MAPS_TO_SELF` The feature id for the 'Maps To Self' attribute.
`static int` `SOURCE_ELEMENT__NAME` The feature id for the 'Name' attribute.
`static int` `SOURCE_ELEMENT__OBJECT` The feature id for the 'Object' reference.
`static int` `SOURCE_ELEMENT__RUNTIME_OBJECT` The feature id for the 'Runtime Object' attribute.
`static int` `SOURCE_ELEMENT__SOURCE_OF` The feature id for the 'Source Of' container reference.
`static int` `SOURCE_ELEMENT__UNIQUE_FOR` The feature id for the 'Unique For' reference.
`static int` `SOURCE_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Source Element' class.
`static int` `SOURCE_ELEMENT_LIST` The meta object id for the '`Source Element List`' class.
`static int` `SOURCE_ELEMENT_LIST__DEFAULT_FOR` The feature id for the 'Default For' container reference.
`static int` `SOURCE_ELEMENT_LIST__SOURCE_ELEMENTS` The feature id for the 'Source Elements' reference list.
`static int` `SOURCE_ELEMENT_LIST__UNIQUE_FOR` The feature id for the 'Unique For' container reference.
`static int` `SOURCE_ELEMENT_LIST_FEATURE_COUNT` The number of structural features of the 'Source Element List' class.
`static int` `TARGET_ELEMENT` The meta object id for the '`Target Element`' class.
`static int` `TARGET_ELEMENT__MAPS_TO` The feature id for the 'Maps To' reference list.
`static int` `TARGET_ELEMENT__NAME` The feature id for the 'Name' attribute.
`static int` `TARGET_ELEMENT__OBJECT` The feature id for the 'Object' reference.
`static int` `TARGET_ELEMENT__RUNTIME_OBJECT` The feature id for the 'Runtime Object' attribute.
`static int` `TARGET_ELEMENT__TARGET_OF` The feature id for the 'Target Of' container reference.
`static int` `TARGET_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Target Element' class.
`static int` `TRACE_ELEMENT` The meta object id for the '`Element`' class.
`static int` `TRACE_ELEMENT__NAME` The feature id for the 'Name' attribute.
`static int` `TRACE_ELEMENT__OBJECT` The feature id for the 'Object' reference.
`static int` `TRACE_ELEMENT__RUNTIME_OBJECT` The feature id for the 'Runtime Object' attribute.
`static int` `TRACE_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Element' class.
`static int` `TRACE_LINK` The meta object id for the '`Link`' class.
`static int` `TRACE_LINK__OVERRIDDEN` The feature id for the 'Overridden' attribute.
`static int` `TRACE_LINK__RULE` The feature id for the 'Rule' container reference.
`static int` `TRACE_LINK__SOURCE_ELEMENTS` The feature id for the 'Source Elements' containment reference list.
`static int` `TRACE_LINK__TARGET_ELEMENTS` The feature id for the 'Target Elements' containment reference list.
`static int` `TRACE_LINK_FEATURE_COUNT` The number of structural features of the 'Link' class.
`static int` `TRACE_LINK_SET` The meta object id for the '`Link Set`' class.
`static int` `TRACE_LINK_SET__DEFAULT_SOURCE_ELEMENT_LISTS` The feature id for the 'Default Source Element Lists' containment reference list.
`static int` `TRACE_LINK_SET__DEFAULT_SOURCE_ELEMENTS` The feature id for the 'Default Source Elements' reference list.
`static int` `TRACE_LINK_SET__RULES` The feature id for the 'Rules' containment reference list.
`static int` `TRACE_LINK_SET_FEATURE_COUNT` The number of structural features of the 'Link Set' class.
`static int` `TRACED_RULE` The meta object id for the '`Traced Rule`' class.
`static int` `TRACED_RULE__LINK_SET` The feature id for the 'Link Set' container reference.
`static int` `TRACED_RULE__LINKS` The feature id for the 'Links' containment reference list.
`static int` `TRACED_RULE__RULE` The feature id for the 'Rule' attribute.
`static int` `TRACED_RULE__UNIQUE_SOURCE_ELEMENT_LISTS` The feature id for the 'Unique Source Element Lists' containment reference list.
`static int` `TRACED_RULE__UNIQUE_SOURCE_ELEMENTS` The feature id for the 'Unique Source Elements' reference list.
`static int` `TRACED_RULE_FEATURE_COUNT` The number of structural features of the 'Traced Rule' class.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.ecore.EDataType` `getJavaList()` Returns the meta object for data type '`Java List`'.
`org.eclipse.emf.ecore.EClass` `getSourceElement()` Returns the meta object for class '`Source Element`'.
`org.eclipse.emf.ecore.EReference` `getSourceElement_DefaultFor()` Returns the meta object for the reference '`Default For`'.
`org.eclipse.emf.ecore.EReference` `getSourceElement_MapsTo()` Returns the meta object for the reference list '`Maps To`'.
`org.eclipse.emf.ecore.EAttribute` `getSourceElement_MapsToSelf()` Returns the meta object for the attribute '`Maps To Self`'.
`org.eclipse.emf.ecore.EReference` `getSourceElement_SourceOf()` Returns the meta object for the container reference '`Source Of`'.
`org.eclipse.emf.ecore.EReference` `getSourceElement_UniqueFor()` Returns the meta object for the reference '`Unique For`'.
`org.eclipse.emf.ecore.EClass` `getSourceElementList()` Returns the meta object for class '`Source Element List`'.
`org.eclipse.emf.ecore.EReference` `getSourceElementList_DefaultFor()` Returns the meta object for the container reference '`Default For`'.
`org.eclipse.emf.ecore.EReference` `getSourceElementList_SourceElements()` Returns the meta object for the reference list '`Source Elements`'.
`org.eclipse.emf.ecore.EReference` `getSourceElementList_UniqueFor()` Returns the meta object for the container reference '`Unique For`'.
`org.eclipse.emf.ecore.EClass` `getTargetElement()` Returns the meta object for class '`Target Element`'.
`org.eclipse.emf.ecore.EReference` `getTargetElement_MapsTo()` Returns the meta object for the reference list '`Maps To`'.
`org.eclipse.emf.ecore.EReference` `getTargetElement_TargetOf()` Returns the meta object for the container reference '`Target Of`'.
`org.eclipse.emf.ecore.EClass` `getTracedRule()` Returns the meta object for class '`Traced Rule`'.
`org.eclipse.emf.ecore.EReference` `getTracedRule_Links()` Returns the meta object for the containment reference list '`Links`'.
`org.eclipse.emf.ecore.EReference` `getTracedRule_LinkSet()` Returns the meta object for the container reference '`Link Set`'.
`org.eclipse.emf.ecore.EAttribute` `getTracedRule_Rule()` Returns the meta object for the attribute '`Rule`'.
`org.eclipse.emf.ecore.EReference` `getTracedRule_UniqueSourceElementLists()` Returns the meta object for the containment reference list '`Unique Source Element Lists`'.
`org.eclipse.emf.ecore.EReference` `getTracedRule_UniqueSourceElements()` Returns the meta object for the reference list '`Unique Source Elements`'.
`org.eclipse.emf.ecore.EClass` `getTraceElement()` Returns the meta object for class '`Element`'.
`org.eclipse.emf.ecore.EAttribute` `getTraceElement_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` `getTraceElement_Object()` Returns the meta object for the reference '`Object`'.
`org.eclipse.emf.ecore.EAttribute` `getTraceElement_RuntimeObject()` Returns the meta object for the attribute '`Runtime Object`'.
`TraceFactory` `getTraceFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass` `getTraceLink()` Returns the meta object for class '`Link`'.
`org.eclipse.emf.ecore.EAttribute` `getTraceLink_Overridden()` Returns the meta object for the attribute '`Overridden`'.
`org.eclipse.emf.ecore.EReference` `getTraceLink_Rule()` Returns the meta object for the container reference '`Rule`'.
`org.eclipse.emf.ecore.EReference` `getTraceLink_SourceElements()` Returns the meta object for the containment reference list '`Source Elements`'.
`org.eclipse.emf.ecore.EReference` `getTraceLink_TargetElements()` Returns the meta object for the containment reference list '`Target Elements`'.
`org.eclipse.emf.ecore.EClass` `getTraceLinkSet()` Returns the meta object for class '`Link Set`'.
`org.eclipse.emf.ecore.EReference` `getTraceLinkSet_DefaultSourceElementLists()` Returns the meta object for the containment reference list '`Default Source Element Lists`'.
`org.eclipse.emf.ecore.EReference` `getTraceLinkSet_DefaultSourceElements()` Returns the meta object for the reference list '`Default Source Elements`'.
`org.eclipse.emf.ecore.EReference` `getTraceLinkSet_Rules()` Returns the meta object for the containment reference list '`Rules`'.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values

#### eINSTANCE

    static final TracePackage eINSTANCE

The singleton instance of the package.

#### TRACE_LINK_SET

    static final int TRACE_LINK_SET

The meta object id for the '`Link Set`' class.

See Also:
  `TraceLinkSetImpl`, `TracePackageImpl.getTraceLinkSet()`, Constant Field Values

#### TRACE_LINK_SET__RULES

    static final int TRACE_LINK_SET__RULES

The feature id for the 'Rules' containment reference list.

See Also:
  Constant Field Values

#### TRACE_LINK_SET__DEFAULT_SOURCE_ELEMENTS

    static final int TRACE_LINK_SET__DEFAULT_SOURCE_ELEMENTS

The feature id for the 'Default Source Elements' reference list.

See Also:
  Constant Field Values

#### TRACE_LINK_SET__DEFAULT_SOURCE_ELEMENT_LISTS

    static final int TRACE_LINK_SET__DEFAULT_SOURCE_ELEMENT_LISTS

The feature id for the 'Default Source Element Lists' containment reference list.

See Also:
  Constant Field Values

#### TRACE_LINK_SET_FEATURE_COUNT

    static final int TRACE_LINK_SET_FEATURE_COUNT

The number of structural features of the 'Link Set' class.

See Also:
  Constant Field Values

#### TRACED_RULE

    static final int TRACED_RULE

The meta object id for the '`Traced Rule`' class.

See Also:
  `TracedRuleImpl`, `TracePackageImpl.getTracedRule()`, Constant Field Values

#### TRACED_RULE__RULE

    static final int TRACED_RULE__RULE

The feature id for the 'Rule' attribute.

See Also:
  Constant Field Values

#### TRACED_RULE__LINKS

    static final int TRACED_RULE__LINKS

The feature id for the 'Links' containment reference list.

See Also:
  Constant Field Values

#### TRACED_RULE__LINK_SET

    static final int TRACED_RULE__LINK_SET

The feature id for the 'Link Set' container reference.

See Also:
  Constant Field Values

#### TRACED_RULE__UNIQUE_SOURCE_ELEMENTS

    static final int TRACED_RULE__UNIQUE_SOURCE_ELEMENTS

The feature id for the 'Unique Source Elements' reference list.

See Also:
  Constant Field Values

#### TRACED_RULE__UNIQUE_SOURCE_ELEMENT_LISTS

    static final int TRACED_RULE__UNIQUE_SOURCE_ELEMENT_LISTS

The feature id for the 'Unique Source Element Lists' containment reference list.

See Also:
  Constant Field Values

#### TRACED_RULE_FEATURE_COUNT

    static final int TRACED_RULE_FEATURE_COUNT

The number of structural features of the 'Traced Rule' class.

See Also:
  Constant Field Values

#### TRACE_LINK

    static final int TRACE_LINK

The meta object id for the '`Link`' class.

See Also:
  `TraceLinkImpl`, `TracePackageImpl.getTraceLink()`, Constant Field Values

#### TRACE_LINK__SOURCE_ELEMENTS

    static final int TRACE_LINK__SOURCE_ELEMENTS

The feature id for the 'Source Elements' containment reference list.

See Also:
  Constant Field Values

#### TRACE_LINK__TARGET_ELEMENTS

    static final int TRACE_LINK__TARGET_ELEMENTS

The feature id for the 'Target Elements' containment reference list.

See Also:
  Constant Field Values

#### TRACE_LINK__RULE

    static final int TRACE_LINK__RULE

The feature id for the 'Rule' container reference.

See Also:
  Constant Field Values

#### TRACE_LINK__OVERRIDDEN

    static final int TRACE_LINK__OVERRIDDEN

The feature id for the 'Overridden' attribute.

See Also:
  Constant Field Values

#### TRACE_LINK_FEATURE_COUNT

    static final int TRACE_LINK_FEATURE_COUNT

The number of structural features of the 'Link' class.

See Also:
  Constant Field Values

#### TRACE_ELEMENT

    static final int TRACE_ELEMENT

The meta object id for the '`Element`' class.

See Also:
  `TraceElementImpl`, `TracePackageImpl.getTraceElement()`, Constant Field Values

#### TRACE_ELEMENT__NAME

    static final int TRACE_ELEMENT__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### TRACE_ELEMENT__OBJECT

    static final int TRACE_ELEMENT__OBJECT

The feature id for the 'Object' reference.

See Also:
  Constant Field Values

#### TRACE_ELEMENT__RUNTIME_OBJECT

    static final int TRACE_ELEMENT__RUNTIME_OBJECT

The feature id for the 'Runtime Object' attribute.

See Also:
  Constant Field Values

#### TRACE_ELEMENT_FEATURE_COUNT

    static final int TRACE_ELEMENT_FEATURE_COUNT

The number of structural features of the 'Element' class.

See Also:
  Constant Field Values

#### SOURCE_ELEMENT

    static final int SOURCE_ELEMENT

The meta object id for the '`Source Element`' class.

See Also:
  `SourceElementImpl`, `TracePackageImpl.getSourceElement()`, Constant Field Values

#### SOURCE_ELEMENT__NAME

    static final int SOURCE_ELEMENT__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### SOURCE_ELEMENT__OBJECT

    static final int SOURCE_ELEMENT__OBJECT

The feature id for the 'Object' reference.

See Also:
  Constant Field Values

#### SOURCE_ELEMENT__RUNTIME_OBJECT

    static final int SOURCE_ELEMENT__RUNTIME_OBJECT

The feature id for the 'Runtime Object' attribute.

See Also:
  Constant Field Values

#### SOURCE_ELEMENT__SOURCE_OF

    static final int SOURCE_ELEMENT__SOURCE_OF

The feature id for the 'Source Of' container reference.

See Also:
  Constant Field Values

#### SOURCE_ELEMENT__MAPS_TO

    static final int SOURCE_ELEMENT__MAPS_TO

The feature id for the 'Maps To' reference list.

See Also:
  Constant Field Values

#### SOURCE_ELEMENT__DEFAULT_FOR

    static final int SOURCE_ELEMENT__DEFAULT_FOR

The feature id for the 'Default For' reference.

See Also:
  Constant Field Values

#### SOURCE_ELEMENT__UNIQUE_FOR

    static final int SOURCE_ELEMENT__UNIQUE_FOR

The feature id for the 'Unique For' reference.

See Also:
  Constant Field Values

#### SOURCE_ELEMENT__MAPS_TO_SELF

    static final int SOURCE_ELEMENT__MAPS_TO_SELF

The feature id for the 'Maps To Self' attribute.

See Also:
  Constant Field Values

#### SOURCE_ELEMENT_FEATURE_COUNT

    static final int SOURCE_ELEMENT_FEATURE_COUNT

The number of structural features of the 'Source Element' class.

See Also:
  Constant Field Values

#### TARGET_ELEMENT

    static final int TARGET_ELEMENT

The meta object id for the '`Target Element`' class.

See Also:
  `TargetElementImpl`, `TracePackageImpl.getTargetElement()`, Constant Field Values

#### TARGET_ELEMENT__NAME

    static final int TARGET_ELEMENT__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### TARGET_ELEMENT__OBJECT

    static final int TARGET_ELEMENT__OBJECT

The feature id for the 'Object' reference.

See Also:
  Constant Field Values

#### TARGET_ELEMENT__RUNTIME_OBJECT

    static final int TARGET_ELEMENT__RUNTIME_OBJECT

The feature id for the 'Runtime Object' attribute.

See Also:
  Constant Field Values

#### TARGET_ELEMENT__TARGET_OF

    static final int TARGET_ELEMENT__TARGET_OF

The feature id for the 'Target Of' container reference.

See Also:
  Constant Field Values

#### TARGET_ELEMENT__MAPS_TO

    static final int TARGET_ELEMENT__MAPS_TO

The feature id for the 'Maps To' reference list.

See Also:
  Constant Field Values

#### TARGET_ELEMENT_FEATURE_COUNT

    static final int TARGET_ELEMENT_FEATURE_COUNT

The number of structural features of the 'Target Element' class.

See Also:
  Constant Field Values

#### SOURCE_ELEMENT_LIST

    static final int SOURCE_ELEMENT_LIST

The meta object id for the '`Source Element List`' class.

See Also:
  `SourceElementListImpl`, `TracePackageImpl.getSourceElementList()`, Constant Field Values

#### SOURCE_ELEMENT_LIST__SOURCE_ELEMENTS

    static final int SOURCE_ELEMENT_LIST__SOURCE_ELEMENTS

The feature id for the 'Source Elements' reference list.

See Also:
  Constant Field Values

#### SOURCE_ELEMENT_LIST__DEFAULT_FOR

    static final int SOURCE_ELEMENT_LIST__DEFAULT_FOR

The feature id for the 'Default For' container reference.

See Also:
  Constant Field Values

#### SOURCE_ELEMENT_LIST__UNIQUE_FOR

    static final int SOURCE_ELEMENT_LIST__UNIQUE_FOR

The feature id for the 'Unique For' container reference.

See Also:
  Constant Field Values

#### SOURCE_ELEMENT_LIST_FEATURE_COUNT

    static final int SOURCE_ELEMENT_LIST_FEATURE_COUNT

The number of structural features of the 'Source Element List' class.

See Also:
  Constant Field Values

#### JAVA_LIST

    static final int JAVA_LIST

The meta object id for the 'Java List' data type.

See Also:
  `List`, `TracePackageImpl.getJavaList()`, Constant Field Values

### Method Detail

#### getTraceLinkSet

    org.eclipse.emf.ecore.EClass getTraceLinkSet()

Returns the meta object for class '`Link Set`'.

Returns:
  the meta object for class 'Link Set'.
See Also:
  `TraceLinkSet`

#### getTraceLinkSet_Rules

    org.eclipse.emf.ecore.EReference getTraceLinkSet_Rules()

Returns the meta object for the containment reference list '`Rules`'.

Returns:
  the meta object for the containment reference list 'Rules'.
See Also:
  `TraceLinkSet.getRules()`, `getTraceLinkSet()`

#### getTraceLinkSet_DefaultSourceElements

    org.eclipse.emf.ecore.EReference getTraceLinkSet_DefaultSourceElements()

Returns the meta object for the reference list '`Default Source Elements`'.

Returns:
  the meta object for the reference list 'Default Source Elements'.
See Also:
  `TraceLinkSet.getDefaultSourceElements()`, `getTraceLinkSet()`

#### getTraceLinkSet_DefaultSourceElementLists

    org.eclipse.emf.ecore.EReference getTraceLinkSet_DefaultSourceElementLists()

Returns the meta object for the containment reference list '`Default Source Element Lists`'.

Returns:
  the meta object for the containment reference list 'Default Source Element Lists'.
See Also:
  `TraceLinkSet.getDefaultSourceElementLists()`, `getTraceLinkSet()`

#### getTracedRule

    org.eclipse.emf.ecore.EClass getTracedRule()

Returns the meta object for class '`Traced Rule`'.

Returns:
  the meta object for class 'Traced Rule'.
See Also:
  `TracedRule`

#### getTracedRule_Rule

    org.eclipse.emf.ecore.EAttribute getTracedRule_Rule()

Returns the meta object for the attribute '`Rule`'.

Returns:
  the meta object for the attribute 'Rule'.
See Also:
  `TracedRule.getRule()`, `getTracedRule()`

#### getTracedRule_Links

    org.eclipse.emf.ecore.EReference getTracedRule_Links()

Returns the meta object for the containment reference list '`Links`'.

Returns:
  the meta object for the containment reference list 'Links'.
See Also:
  `TracedRule.getLinks()`, `getTracedRule()`

#### getTracedRule_LinkSet

    org.eclipse.emf.ecore.EReference getTracedRule_LinkSet()

Returns the meta object for the container reference '`Link Set`'.

Returns:
  the meta object for the container reference 'Link Set'.
See Also:
  `TracedRule.getLinkSet()`, `getTracedRule()`

#### getTracedRule_UniqueSourceElements

    org.eclipse.emf.ecore.EReference getTracedRule_UniqueSourceElements()

Returns the meta object for the reference list '`Unique Source Elements`'.

Returns:
  the meta object for the reference list 'Unique Source Elements'.
See Also:
  `TracedRule.getUniqueSourceElements()`, `getTracedRule()`

#### getTracedRule_UniqueSourceElementLists

    org.eclipse.emf.ecore.EReference getTracedRule_UniqueSourceElementLists()

Returns the meta object for the containment reference list '`Unique Source Element Lists`'.

Returns:
  the meta object for the containment reference list 'Unique Source Element Lists'.
See Also:
  `TracedRule.getUniqueSourceElementLists()`, `getTracedRule()`

#### getTraceLink

    org.eclipse.emf.ecore.EClass getTraceLink()

Returns the meta object for class '`Link`'.

Returns:
  the meta object for class 'Link'.
See Also:
  `TraceLink`

#### getTraceLink_Rule

    org.eclipse.emf.ecore.EReference getTraceLink_Rule()

Returns the meta object for the container reference '`Rule`'.

Returns:
  the meta object for the container reference 'Rule'.
See Also:
  `TraceLink.getRule()`, `getTraceLink()`

#### getTraceLink_Overridden

    org.eclipse.emf.ecore.EAttribute getTraceLink_Overridden()

Returns the meta object for the attribute '`Overridden`'.

Returns:
  the meta object for the attribute 'Overridden'.
See Also:
  `TraceLink.isOverridden()`, `getTraceLink()`

#### getTraceLink_SourceElements

    org.eclipse.emf.ecore.EReference getTraceLink_SourceElements()

Returns the meta object for the containment reference list '`Source Elements`'.

Returns:
  the meta object for the containment reference list 'Source Elements'.
See Also:
  `TraceLink.getSourceElements()`, `getTraceLink()`

#### getTraceLink_TargetElements

    org.eclipse.emf.ecore.EReference getTraceLink_TargetElements()

Returns the meta object for the containment reference list '`Target Elements`'.

Returns:
  the meta object for the containment reference list 'Target Elements'.
See Also:
  `TraceLink.getTargetElements()`, `getTraceLink()`

#### getTraceElement

    org.eclipse.emf.ecore.EClass getTraceElement()

Returns the meta object for class '`Element`'.

Returns:
  the meta object for class 'Element'.
See Also:
  `TraceElement`

#### getTraceElement_Name

    org.eclipse.emf.ecore.EAttribute getTraceElement_Name()

Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  `TraceElement.getName()`, `getTraceElement()`

#### getTraceElement_Object

    org.eclipse.emf.ecore.EReference getTraceElement_Object()

Returns the meta object for the reference '`Object`'.

Returns:
  the meta object for the reference 'Object'.
See Also:
  `TraceElement.getObject()`, `getTraceElement()`

#### getTraceElement_RuntimeObject

    org.eclipse.emf.ecore.EAttribute getTraceElement_RuntimeObject()

Returns the meta object for the attribute '`Runtime Object`'.

Returns:
  the meta object for the attribute 'Runtime Object'.
See Also:
  `TraceElement.getRuntimeObject()`, `getTraceElement()`

#### getSourceElement

    org.eclipse.emf.ecore.EClass getSourceElement()

Returns the meta object for class '`Source Element`'.

Returns:
  the meta object for class 'Source Element'.
See Also:
  `SourceElement`

#### getSourceElement_SourceOf

    org.eclipse.emf.ecore.EReference getSourceElement_SourceOf()

Returns the meta object for the container reference '`Source Of`'.

Returns:
  the meta object for the container reference 'Source Of'.
See Also:
  `SourceElement.getSourceOf()`, `getSourceElement()`

#### getSourceElement_MapsTo

    org.eclipse.emf.ecore.EReference getSourceElement_MapsTo()

Returns the meta object for the reference list '`Maps To`'.

Returns:
  the meta object for the reference list 'Maps To'.
See Also:
  `SourceElement.getMapsTo()`, `getSourceElement()`

#### getSourceElement_DefaultFor

    org.eclipse.emf.ecore.EReference getSourceElement_DefaultFor()

Returns the meta object for the reference '`Default For`'.

Returns:
  the meta object for the reference 'Default For'.
See Also:
  `SourceElement.getDefaultFor()`, `getSourceElement()`

#### getSourceElement_UniqueFor

    org.eclipse.emf.ecore.EReference getSourceElement_UniqueFor()

Returns the meta object for the reference '`Unique For`'.

Returns:
  the meta object for the reference 'Unique For'.
See Also:
  `SourceElement.getUniqueFor()`, `getSourceElement()`

#### getSourceElement_MapsToSelf

    org.eclipse.emf.ecore.EAttribute getSourceElement_MapsToSelf()

Returns the meta object for the attribute '`Maps To Self`'.

Returns:
  the meta object for the attribute 'Maps To Self'.
See Also:
  `SourceElement.isMapsToSelf()`, `getSourceElement()`

#### getTargetElement

    org.eclipse.emf.ecore.EClass getTargetElement()

Returns the meta object for class '`Target Element`'.

Returns:
  the meta object for class 'Target Element'.
See Also:
  `TargetElement`

#### getTargetElement_TargetOf

    org.eclipse.emf.ecore.EReference getTargetElement_TargetOf()

Returns the meta object for the container reference '`Target Of`'.

Returns:
  the meta object for the container reference 'Target Of'.
See Also:
  `TargetElement.getTargetOf()`, `getTargetElement()`

#### getTargetElement_MapsTo

    org.eclipse.emf.ecore.EReference getTargetElement_MapsTo()

Returns the meta object for the reference list '`Maps To`'.

Returns:
  the meta object for the reference list 'Maps To'.
See Also:
  `TargetElement.getMapsTo()`, `getTargetElement()`

#### getSourceElementList

    org.eclipse.emf.ecore.EClass getSourceElementList()

Returns the meta object for class '`Source Element List`'.

Returns:
  the meta object for class 'Source Element List'.
See Also:
  `SourceElementList`

#### getSourceElementList_SourceElements

    org.eclipse.emf.ecore.EReference getSourceElementList_SourceElements()

Returns the meta object for the reference list '`Source Elements`'.

Returns:
  the meta object for the reference list 'Source Elements'.
See Also:
  `SourceElementList.getSourceElements()`, `getSourceElementList()`

#### getSourceElementList_DefaultFor

    org.eclipse.emf.ecore.EReference getSourceElementList_DefaultFor()

Returns the meta object for the container reference '`Default For`'.

Returns:
  the meta object for the container reference 'Default For'.
See Also:
  `SourceElementList.getDefaultFor()`, `getSourceElementList()`

#### getSourceElementList_UniqueFor

    org.eclipse.emf.ecore.EReference getSourceElementList_UniqueFor()

Returns the meta object for the container reference '`Unique For`'.

Returns:
  the meta object for the container reference 'Unique For'.
See Also:
  `SourceElementList.getUniqueFor()`, `getSourceElementList()`

#### getJavaList

    org.eclipse.emf.ecore.EDataType getJavaList()

Returns the meta object for data type '`Java List`'.

Returns:
  the meta object for data type 'Java List'.
See Also:
  `List`

#### getTraceFactory

    TraceFactory getTraceFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.